%define levelsets	20160512
%define rel		1

Summary:	Breakout-style arcade game
Name:		lbreakouthd
Version:	1.1.8
Release:	%mkrel %{rel}
Url:		https://lgames.sourceforge.io/LBreakoutHD
Source0:	https://sourceforge.net/projects/lgames/files/%{name}/%{name}-%{version}.tar.gz
Source1:	https://sourceforge.net/projects/lgames/files/add-ons/lbreakout2/lbreakout2-levelsets-%{levelsets}.tar.gz
License:	GPLv3+
Group:		Games/Arcade
BuildRequires:	sdl2-devel
BuildRequires:	sdl2_image-devel
BuildRequires:	sdl2_mixer-devel
BuildRequires:	sdl2_ttf-devel
Obsoletes:	lbreakout2 < 2.6.6
Provides:	lbreakout2


%description
HD is a scaleable 16:9 remake of LBreakout2.
LBreakout is a classical Breakout game and this means (if you like Breakout ;-)
it is a lot of fun to play!
If you never ever played such a game you can check out the manual for more
information, take a look at the screenshots and last but not least... play it!

%prep
%setup -q

%build
export CFLAGS=$(echo "%{optflags}" | %{__sed} -e 's/-Werror=format-security//')

%configure	--bindir=%{_gamesbindir} \
		--with-libiconv-prefix=%{_prefix} \
		--without-included-gettext \
		--with-libintl-prefix=%{_prefix} \
		--localstatedir=%{_localstatedir}/games
%make_build

%install
install -d %{buildroot}%{_localstatedir}/games
%make_install

tar xzC %{buildroot}%{_datadir}/%{name}/levels -f %SOURCE1

desktop-file-install --vendor="" \
  --add-category="ArcadeGame" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc README TODO
%attr(2755, root, games) %{_gamesbindir}/*
%config(noreplace) %attr(664, games, games) %{_localstatedir}/games/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png


%changelog
* Mon Apr 29 2024 ns80 <ns80> 1.1.8-1.mga10
+ Revision: 2061604
- new version 1.1.8

* Tue Apr 09 2024 ns80 <ns80> 1.1.7-1.mga10
+ Revision: 2056175
- new version 1.1.7

* Tue Jan 23 2024 ns80 <ns80> 1.1.6-1.mga10
+ Revision: 2033936
- new version 1.1.6

* Wed Jan 17 2024 ns80 <ns80> 1.1.5-1.mga10
+ Revision: 2031813
- new version 1.1.5

* Mon May 15 2023 ns80 <ns80> 1.1.3-1.mga9
+ Revision: 1956919
- new version 1.1.3

* Mon Mar 20 2023 ns80 <ns80> 1.1.2-1.mga9
+ Revision: 1949777
- new version 1.1.2

* Wed Dec 28 2022 ns80 <ns80> 1.1.1-1.mga9
+ Revision: 1927336
- new version 1.1.1

* Thu Nov 17 2022 ns80 <ns80> 1.1-1.mga9
+ Revision: 1908399
- new version 1.1

* Tue Jun 07 2022 ns80 <ns80> 1.0.10-1.mga9
+ Revision: 1863046
- imported package lbreakouthd

